package com.puship.test;
import static org.junit.Assert.fail;

import java.net.UnknownHostException;
import java.util.Calendar;
import java.util.HashMap;
import java.util.HashSet;
import java.util.Set;

import org.json.JSONArray;
import org.junit.Test;

import com.puship.CoreApi;
import com.puship.Credentials;
import com.puship.PushipUtil;

public class GetPushMessages {

	@Test
	public void test() {
		
		Credentials cr= new Credentials(ConfigClass.Username, ConfigClass.Password);
		CoreApi ca= new CoreApi(ConfigClass.AppId , cr);
		//ca.EnableDebug = true; //Shows Url, Url Parameters, Response Code, and the Response from the Server   
		
		try {
			
			HashMap<String, Object> map= new HashMap<String, Object>();
			map.put("DeviceType", "1"); //Apple Platform filter 
			map.put("Limit", "10");
			map.put("Offset", "0");

		    //map.put("Latitude", "45.44085");
			//map.put("Longitude", "12.31552");
			
			Calendar c = Calendar.getInstance();
			c.set(2014, 5, 6, 0, 0,0); // June, 07, 2014
			
			map.put("LastPositionDate", c.getTime());
			map.put("LastPositionNumber", "1");

			Set<String> tagmaps = new HashSet<String>();
			
			tagmaps.add("Libra"); //Tag number 1
			tagmaps.add("Virgo"); //Tag number 2
			
			map.put("Tags", tagmaps);
			
			JSONArray al= ca.GetPushMessages(map); 
			
			if (al!=null){
				for (int i = 0; i < al.length(); i++) {
					System.out.println(al.getJSONObject(i).get("PushMessageId"));
					System.out.println(al.getJSONObject(i).get("Message"));
					
					String date= al.getJSONObject(i).getString("Date");
					System.out.println(PushipUtil.ParseDate(date));
				}
			} else{
				System.out.println("Error during request");
			}
			 
		}catch (UnknownHostException httpe) {
			httpe.printStackTrace();
			System.out.println("Error during URL request: probably no connection or wrong URL");
		}
		catch (Exception e) {
			e.printStackTrace();
			fail("Error during GetPushMessages");
		}
	}
}
